net.dontdrinkandroot.lastfm.api.queries

## Class NoResponseAuthenticatedGetQuery

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.queries.AbstractQuery<Boolean>
  - - net.dontdrinkandroot.lastfm.api.queries.NoResponseAuthenticatedGetQuery

All Implemented Interfaces:
  AuthenticatedGetQuery<Boolean>, AuthenticatedQuery<Boolean>, GetQuery<Boolean>, Query<Boolean>

    public class NoResponseAuthenticatedGetQuery
    extends AbstractQuery<Boolean>
    implements AuthenticatedGetQuery<Boolean>

### Constructor Summary

Constructors
Constructor and Description
`NoResponseAuthenticatedGetQuery(String method)`

### Method Summary

Methods
`Boolean` `parse(Element root)` Parse the result and return the Object model.

### Methods inherited from class net.dontdrinkandroot.lastfm.api.queries.AbstractQuery

`addAdditionalParameters, addParameter, getMethod, getParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.dontdrinkandroot.lastfm.api.queries.Query

`addParameter, getMethod, getParameters`

### Constructor Detail

#### NoResponseAuthenticatedGetQuery

    public NoResponseAuthenticatedGetQuery(String method)

### Method Detail

#### parse

    public Boolean parse(Element root)

Description copied from interface: `Query`
Parse the result and return the Object model.

Specified by:
  `parse` in interface `Query<Boolean>`
Parameters:
  `root` - Dom4j root element.
Returns:
  The query result.